//
//  BooruClient.h
//  cunnyfinder
//
//  Created by James Shiffer on 12/19/22.
//  Copyright © 2022 FemboyFinancial. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "BooruImage.h"
#import "BooruXMLParserDelegate.h"

@interface BooruClient : NSObject

@property NSString* urlFormat;
@property NSString* tags;
@property NSMutableArray* waifus;
@property NSDictionary<NSString*, NSString*>* metadata;
@property NSImageView* imageView;

-(id)init:(NSArray *)waifus;
-(void)reset;
-(BooruImage *)search;
-(void)downloadAndDisplayImage:(NSURL *)url inView:(NSImageView *)imageView;
-(void)downloadImage:(NSURL *)url;
-(void)displayImage:(NSImage *)image;
+(NSString *)urlEncode:(NSString *)str;

@end
