//
//  BooruXMLParserDelegate.h
//  cunnyfinder
//
//  Created by James Shiffer on 12/20/22.
//  Copyright © 2022 FemboyFinancial. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface BooruXMLParserDelegate : NSObject<NSXMLParserDelegate>

@property NSMutableDictionary<NSString *, NSString *>* data;

-(id)init;
-(void)parser:(NSXMLParser *)parser
    didStartElement:(NSString *)elementName
    namespaceURI:(NSString *)namespaceURI
    qualifiedName:(NSString *)qName
    attributes:(NSDictionary<NSString *, NSString *> *)attributeDict;

-(void)parser:(NSXMLParser *)parser
    foundCharacters:(NSString *)string;

-(void)parser:(NSXMLParser *)parser
    didEndElement:(NSString *)elementName
    namespaceURI:(NSString *)namespaceURI
    qualifiedName:(NSString *)qName;

@end
